pods::SDL::Rect(3pm)

NAME
SDL::Rect - Defines a rectangular area

  CATEGORY
Core, Video, Structure

SYNOPSIS
 my $rect = SDL::Rect->new(0, 0, 50, 4);
 $rect->x(1);
 $rect->y(2);
 $rect->w(3);
 my $x = $rect->x; # 1
 my $y = $rect->y; # 2
 my $w = $rect->w; # 3
 my $h = $rect->h; # 4

DESCRIPTION
An "SDL_Rect" defines a rectangular area of pixels.

METHODS

  new
 my $rect = SDL::Rect->new( $x, $y, $w, $h );

The constructor creates a new rectangle with the specified x, y, width and height values.

  x
 my $x = $rect->x;
 $rect->x(128);

If passed a value, this method sets the x component of the rectangle; if not, it returns the x component of the rectangle.

  y
 my $y = $rect->y;
 $rect->y(128);

If passed a value, this method sets the y component of the rectangle; if not, it returns the y component of the rectangle.

  w
 my $w = $rect->w;
 $rect->w(128);

If passed a value, this method sets the w component of the rectangle; if not, it returns the w component of the rectangle.

  h
 my $h = $rect->h;
 $rect->h(128);

If passed a value, this method sets the h component of the rectangle; if not, it returns the h component of the rectangle.

SEE ALSO
SDL::Surface

AUTHORS
See "AUTHORS" in SDL.